# Package org.codehaus.groovy.grails.cli

##

- Class Summary
  Class | Description
  --- | ---
  CommandLineHelper | Utility methods for use on the command line, including method to accept user input etc.
  CommandLineInputHandler | Custom input handler mechanism for Ant that ignores case of input.
  GenerateStubsTask | Need to spin our own GenerateStubsTask because Groovy's one stupidly tries to compile properties files and anything that doesn't end with Java.
  GrailsScriptRunner | Handles Grails command line interface for running scripts.
  ScriptNameResolver | @author Andres Almiray

- Exception Summary
  Exception | Description
  --- | ---
  ScriptExitException | Exception thrown when a script exits, but Grails has disabled the system exit.
  ScriptNotFoundException | Exception thrown when Grails is asked to execute a script that it can't find.